var hintergrundBild = 'styles/www-bk.gif'; 
var forscreen = true;
var simpleBG  = false;
var dont_popup= false;
var not_IE    = false;
var symboltab = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8704,0,8707,0,0,
                 8715,0,0,8727,0,0,8722,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                 0,0,0,0,8773,913,914,935,8710,917,934,915,919,921,
                 977,922,923,924,925,927,928,920,929,931,932,933,962,
                 8486,926,936,918,0,8756,0,8869,0,8254,945,946,967,
                 948,949,966,947,951,953,981,954,955,956,957,959,960,
                 952,961,963,964,965,982,969,958,968,950,0,0,0,8764,0,
                 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                 0,0,0,0,0,0,0,978,8242,8804,8725,8734,402,9827,9830,
                 9829,9824,8596,8592,8593,8594,8595,176,177,8243,
                 8805,215,8733,8706,8226,247,8800,8801,8776,8230,0,
                 0,8629,8501,8465,8476,8472,8855,8853,8709,8745,8746,
                 8835,8839,8836,8834,8838,8712,8713,8736,8711,174,169,
                 8482,8719,8730,8901,172,8743,8744,8660,8656,8657,
                 8658,8659,9674,9001,174,169,8482,8721,61670,61671,61672,0,0,0,0,
                 0,0,0,0,9002,8747,8992,0,8993,61686,61687,61688,0,0,0,0,0,0,0];


<!-- maleMenu() - JAVASCRIPT-FUNKTION - diese Funktion erstellt die Menüstruktur, beginnend mit dem Hauptverzeichnis und dann den darin enthaltenen Unterverzeichnissen. -->

function maleMenu() {
	ausgabeFrame = top.menuFrame.window.document;
	ausgabeFrame.open("text/html");
	ausgabeFrame.write("<HTML>\n<HEAD>\n<!-- \nvon JS-Menue 1.2 dynamisch erstellter HTML-Code\n(C) 1999 Ansgar Federhen/Rheinbreitbach@net\nWeb: http://rheinbreitbach.net/js-menue/\nE-Mail: js-menue@rheinbreitbach.net\n-->\n");
	ausgabeFrame.write("<STYLE>\n<!--\nA {text-decoration: none}\nA {color: " + linkFarbe + "}\nA:hover {color: " + aLinkFarbe + "}\n-->\n</STYLE>\n");
	ausgabeFrame.write("</HEAD>\n<BODY BGCOLOR=\"" + hintergrundFarbe + "\" BACKGROUND=\"" + hintergrundBild + "\" LINK=\"" + linkFarbe + "\" ALINK=\"" + aLinkFarbe + "\" VLINK=\"" + bLinkFarbe + "\">\n");
	ausgabeFrame.write("<FONT FACE=\"" + MenuSchrift + "\" SIZE=" + MenuSchriftGroesse + " COLOR=\"" + textFarbe + "\">\n");
	ausgabeFrame.write(prefixHTML + "\n<NOBR>\n");
		if (menuDaten[1].ziel == "") {
			var zielFrame = standardZielFrame}
		else {var zielFrame = menuDaten[1].ziel}
		if (menuDaten[1].icon == "") {
			var bildBezeichnung = standardBildURL + 'globus-' + hintergrundStil + '.gif'}
		else {bildBezeichnung = standardBildURL + menuDaten[1].icon}
	ausgabeFrame.write("<A HREF=\"" + menuDaten[1].url + "\" TARGET=\"" + zielFrame + "\" onMouseOver=\"window.status='" + menuDaten[1].rootstat + "'; return true\"><IMG SRC=\"" + bildBezeichnung + "\" WIDTH=16 HEIGHT=16 ALIGN=TOP BORDER=0 ALT=\"" + menuDaten[1].rootstat + "\">&nbsp;<B>" + menuDaten[1].text + "</B></A><BR>\n");
	maleVerz("root","");
	ausgabeFrame.write("</NOBR>\n" + suffixHTML + "\n</FONT>\n</BODY>\n</HTML>");
	ausgabeFrame.close();
	window.status="TF der CAU zu Kiel (C) 1999" }

<!-- maleVerz() - JAVASCRIPT-FUNKTION - Diese Funktion wird von der Funktion 'maleMenu()' aufgerufen, um alle sichtbaren Einträge im Verzeichnis zu erstellen. -->

function maleVerz(startEintrag,zweigEintrag) {
	VerzAuf = 'Click to open this folder'
	VerzZu = 'Click to close this folder'
	var nachfolger = sucheNachfolgerVon(startEintrag);
	var aktuellerIndex = 1;
	while (aktuellerIndex <= nachfolger.laenge) {
		ausgabeFrame.write(zweigEintrag);
		if (nachfolger[aktuellerIndex].typ == 'link') {
			if (nachfolger[aktuellerIndex].icon == "") {
				var bildBezeichnung = standardBildURL + standardLinkBild}
			else {var bildBezeichnung = standardBildURL + nachfolger[aktuellerIndex].icon}
			if (nachfolger[aktuellerIndex].ziel == "") {
				var zielFrame = standardZielFrame}
			else {var zielFrame = nachfolger[aktuellerIndex].ziel}
			if (aktuellerIndex != nachfolger.laenge) {
				ausgabeFrame.write("<IMG SRC=\"" + standardBildURL + "zw" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALIGN=TOP>")}
			else {ausgabeFrame.write("<IMG SRC=\"" + standardBildURL + "zwe" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALIGN=TOP>")}
			if (nachfolger[aktuellerIndex].linkstat == "") {
				var linkstat = nachfolger[aktuellerIndex].url}
			else {var linkstat = nachfolger[aktuellerIndex].linkstat}
			ausgabeFrame.write("<A HREF=\"" + nachfolger[aktuellerIndex].url + "\" TARGET=\"" + zielFrame + "\" onMouseOver=\"window.status='" + linkstat + "'; return true\"><IMG SRC=\"" + bildBezeichnung + "\" WIDTH=16 HEIGHT=16 ALIGN=TOP BORDER=0 ALT=\"" + linkstat + "\">&nbsp;" + nachfolger[aktuellerIndex].text + "</A><BR>\n")}
		else {var neuerZweig = zweigEintrag;
			if (nachfolger[aktuellerIndex].iconZu == "") {
				var iconZu = "vzzu-" + hintergrundStil + ".gif"}
			else {var iconZu = nachfolger[aktuellerIndex].iconZu}
			if (nachfolger[aktuellerIndex].iconOffen == "") {
				var iconOffen = "vzauf-" + hintergrundStil + ".gif"}
			else {var iconOffen = nachfolger[aktuellerIndex].iconOffen}
			if (aktuellerIndex != nachfolger.laenge) {
				if (nachfolger[aktuellerIndex].offen == 0) {
				   if (nachfolger[aktuellerIndex].linkstat != ''){
							ausgabeFrame.write("<A HREF=\"javascript:top.aufzuVerz('" + nachfolger[aktuellerIndex].name + "',1)\" onMouseOver=\"window.status='" + nachfolger[aktuellerIndex].linkstat + "'; return true\"><IMG SRC=\"" + standardBildURL + "zwauf-" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALT=\"" + nachfolger[aktuellerIndex].linkstat + "\" ALIGN=TOP BORDER=0>")}
					else {ausgabeFrame.write("<A HREF=\"javascript:top.aufzuVerz('" + nachfolger[aktuellerIndex].name + "',1)\" onMouseOver=\"window.status='" + VerzAuf + "'; return true\"><IMG SRC=\"" + standardBildURL + "zwauf-" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALT=\"" + VerzAuf + "\" ALIGN=TOP BORDER=0>")}
					ausgabeFrame.write("<IMG SRC=\"" + standardBildURL + iconZu + "\" WIDTH=16 HEIGHT=16 ALT=\"" + VerzAuf + "\" ALIGN=TOP BORDER=0>&nbsp;" + nachfolger[aktuellerIndex].text + "</A><BR>\n")}
				else {ausgabeFrame.write("<A HREF=\"javascript:top.aufzuVerz('" + nachfolger[aktuellerIndex].name + "',0)\" onMouseOver=\"window.status='" + VerzZu + "'; return true\"><IMG SRC=\"" + standardBildURL + "zwzu-" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALT=\"" + VerzZu + "\" ALIGN=TOP BORDER=0>");
					ausgabeFrame.write("<IMG SRC=\"" + standardBildURL + iconOffen + "\" WIDTH=16 HEIGHT=16 ALT=\"" + VerzZu + "\" ALIGN=TOP BORDER=0>&nbsp;" + nachfolger[aktuellerIndex].text + "</A><BR>\n");
					neuerZweig = neuerZweig + "<IMG SRC=\"" + standardBildURL + "stamm-" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALIGN=TOP>";
					maleVerz(nachfolger[aktuellerIndex].name,neuerZweig)}}
			else {
				if (nachfolger[aktuellerIndex].offen == 0) {
					ausgabeFrame.write("<A HREF=\"javascript:top.aufzuVerz('" + nachfolger[aktuellerIndex].name + "',1)\" onMouseOver=\"window.status='" + VerzAuf + "'; return true\"><IMG SRC=\"" + standardBildURL + "zwauf-e" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALT=\"" + VerzAuf + "\" ALIGN=TOP BORDER=0>")
					ausgabeFrame.write("<IMG SRC=\"" + standardBildURL + iconZu + "\" WIDTH=16 HEIGHT=16 ALT=\"" + VerzAuf + "\" ALIGN=TOP BORDER=0>&nbsp;" + nachfolger[aktuellerIndex].text + "</A><BR>\n")}
				else {ausgabeFrame.write("<A HREF=\"javascript:top.aufzuVerz('" + nachfolger[aktuellerIndex].name + "',0)\" onMouseOver=\"window.status='" + VerzZu + "'; return true\"><IMG SRC=\"" + standardBildURL + "zwzu-e" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALT=\"" + VerzZu + "\" ALIGN=TOP BORDER=0>");
					ausgabeFrame.write("<IMG SRC=\"" + standardBildURL + iconOffen + "\" WIDTH=16 HEIGHT=16 ALT=\"" + VerzZu + "\" ALIGN=TOP BORDER=0>&nbsp;" + nachfolger[aktuellerIndex].text + "</A><BR>\n");
					neuerZweig = neuerZweig + "<IMG SRC=\"" + standardBildURL + "leer.gif\" WIDTH=19 HEIGHT=16 ALIGN=TOP>";
					maleVerz(nachfolger[aktuellerIndex].name,neuerZweig)}}}
		aktuellerIndex++;}}

<!-- maleKlappFrame() - JAVASCRIPT-FUNKTION - diese Funktion erstellt den Mini-Frame mit den Funktionsaufrufen zum Öffnen/Schließen aller Verzeichniss. -->

function maleKlappFrame() {
	ausgabeFrame = top.klappFrame.window.document;
	ausgabeFrame.open("text/html");
	ausgabeFrame.write("<HTML>\n<HEAD>\n<STYLE>\n<!--\nA {text-decoration: none}\nA {color: " + linkFarbe + "}\nA:hover {color: " + aLinkFarbe + "}\n-->\n</STYLE>\n");
	ausgabeFrame.write("</HEAD>\n<BODY BGCOLOR=\"" + hintergrundFarbe + "\" BACKGROUND=\"" + hintergrundBild + "\" LINK=\"" + linkFarbe + "\" ALINK=\"" + aLinkFarbe + "\" VLINK=\"" + bLinkFarbe + "\">\n");
	ausgabeFrame.write("<FONT FACE=\"" + MenuSchrift + "\" SIZE=\"2\" COLOR=\"" + textFarbe + "\">\n");
	ausgabeFrame.write("<A HREF=\"javascript:top.allesaufzu(1)\" onMouseOver=\"window.status='open all folders'; return true\">\n");
	ausgabeFrame.write("&nbsp;<IMG SRC=\"" + standardBildURL + "vzauf-" + hintergrundStil + ".gif\" WIDTH=16 HEIGHT=16 ALT=\"open all folders\" BORDER=0> open all folders</A><BR>\n");
	ausgabeFrame.write("<A HREF=\"javascript:top.allesaufzu(0)\" onMouseOver=\"window.status='close all folders'; return true\">\n");
	ausgabeFrame.write("&nbsp;<IMG SRC=\"" + standardBildURL + "vzzu-" + hintergrundStil + ".gif\" WIDTH=16 HEIGHT=16 ALT=\"close all folders\" BORDER=0> close all folders</A><BR></FONT>\n");
   ausgabeFrame.write("<FORM><P><INPUT TYPE=\"CHECKBOX\" NAME=\"CheckBox1\"");
	if (simpleBG) {
	ausgabeFrame.write("CHECKED=\"CHECKED\" ");}; 
	ausgabeFrame.write("ONCLICK=\"top.set_simpleBG(this.checked)\">");
	ausgabeFrame.write("<FONT COLOR=\"#080074\" SIZE=\"-1\">white background</FONT><BR>\n");
   ausgabeFrame.write("<INPUT TYPE=\"CHECKBOX\" NAME=\"CheckBox2\"");
	if (forscreen==false) {
	ausgabeFrame.write("CHECKED=\"CHECKED\" ");}; 
	ausgabeFrame.write("ONCLICK=\"top.set_forscreen(this.checked)\">");
	ausgabeFrame.write("<FONT COLOR=\"#080074\" SIZE=\"-1\">print friendly</FONT></P></FORM>\n");
	ausgabeFrame.write("</BODY>\n</HTML>\n")
	ausgabeFrame.close();
	window.status="MW-Menue"}

<!-- neumalen() - JAVASCRIPT-FUNKTION - diese Funktion wird in der Frameset-Definition bei Änderung der Fenstergröße aufgerufen (nur Netscape) und lädt das Menü neu -->

function neumalen() {
    maleMenu();
    maleKlappFrame()}

<!-- aufzuVerz() - JAVASCRIPT-FUNKTION - diese Funktion öffnet bzw. schließt ein Verzeichnis. -->

function aufzuVerz(name,status) {
	var eintragsIndex = indexVonEintrag(name);
	menuDaten[eintragsIndex].offen = status;
	if ((status == 1) && (menuDaten[eintragsIndex].url != "")){
	top.seiteFrame.window.location.href = menuDaten[eintragsIndex].url;
	}
	timeOutname = setTimeout("maleMenu()",100)}

<!-- allesaufzu() - JAVASCRIPT-FUNKTION - diese Funktion öffnet/schließt alle Verzeichnisse. -->

function allesaufzu(was) {
	var aktuellerIndex = 1;
	while (aktuellerIndex <= menuDaten.laenge) {
		{menuDaten[aktuellerIndex].offen = was}
		aktuellerIndex++}
 	maleMenu()}

<!-- indexVonEintrag() - JAVASCRIPT-FUNKTION - sucht einen Eintrag in 'menuDaten' anhand eines Namens -->

function indexVonEintrag(name) {
	var aktuellerIndex = 1;
	while (aktuellerIndex <= menuDaten.laenge) {
		if ((menuDaten[aktuellerIndex].typ == 'root') || (menuDaten[aktuellerIndex].typ == 'verzeichnis')) {
			if (menuDaten[aktuellerIndex].name == name) {
				return aktuellerIndex}}
		aktuellerIndex++}
	return -1}

<!-- sucheNachfolgerVon() - JAVASCRIPT-FUNKTION - erzeugt eine Sammlung aller Einträge, die unmittelbar unter dem aktuellen Eintrag liegen -->

function sucheNachfolgerVon(eintrag) {
	var nachfolger = new Sammlung();
	var aktuellerIndex = 1;
	while (aktuellerIndex <= menuDaten.laenge) {
		if ((menuDaten[aktuellerIndex].typ == 'verzeichnis') || (menuDaten[aktuellerIndex].typ == 'link')) {
			if (menuDaten[aktuellerIndex].vorfahr == eintrag) {
				nachfolger.neu(menuDaten[aktuellerIndex])}}
		aktuellerIndex++}
	return nachfolger}

<!-- Sammlung() - OBJEKT - ein dynamisches Objekt, welches Daten speichert, ähnlich einem Array. -->

function Sammlung() {
	this.laenge = 0;
	this.neu = neu;
	return this}

<!-- neu() - METHODE des Objekts Sammlung - fügt dem Objekt Sammlung neue Daten(sätze) hinzu. -->

function neu(object) {
	this.laenge++;
	this[this.laenge] = object}

<!-- HauptverzeichnisEintrag() - OBJEKT - steht für den Hauptverzeichnis-Eintrag im Menü. -->

function HauptverzeichnisEintrag(name,text,url,ziel,icon,rootstat) {
	this.name = name;
	this.text = text;
	this.url = url;
	this.ziel = ziel;
	this.icon = icon;
	this.typ = 'root';
	this.rootstat = rootstat;
	return this}

<!-- VerzEintrag() - OBJEKT - steht für einen Verzeichnis-Eintrag im Menü. -->

function VerzEintrag(name,vorfahr,text,iconZu,iconOffen,url,linkstat) {
	this.name = name;
	this.vorfahr = vorfahr;
	this.text = text;
	this.iconZu = iconZu;
	this.iconOffen = iconOffen;
	this.typ = 'verzeichnis';
	this.offen = 0;
	this.url = url;
	this.linkstat = linkstat;
	return this}

<!-- LinkEintrag() - OBJEKT - steht für einen Link-Eintrag im Menü. -->

function LinkEintrag(vorfahr,text,url,ziel,icon,linkstat) {
	this.vorfahr = vorfahr;
	this.name = text;	
	this.text = text;
	this.url = url;
	this.ziel = ziel;
	this.icon = icon;
	this.typ = 'link';
	this.linkstat = linkstat;
	return this}

function ladeDaten() {
	menuDaten = new Sammlung();

<!--
// Menü-Struktur-Definitionen: hier wird die Menü-Struktur definiert
// Syntax/Schreibweise:

// Hauptverzeichnis-Eintrag:
// menuDaten.neu(new HauptverzeichnisEintrag('<NAME>','<TEXT>','<URL>','<ZIEL>','<ICON>','<STATUSTEXT>'));
// Hinweis: Es darf nur EIN Hauptverzeichniseintrag existieren und er MUSS an ERSTER Stelle stehen;
//          <STATUSTEXT>, <ZIEL> und <ICON> koennen leer bleiben, es werden dann Standards benutzt.

// Verzeichnis-Eintrag:
// menuDaten.neu(new VerzEintrag('<NAME>','<ÜBERGEORDNETER NAME>','<TEXT>','<ICON ZU>','<ICON OFFEN>'));
// Hinweis: Verzeichnis-Einträge MÜSSEN einen gültigen Wert bei 'ÜBERGEORDNETER NAME' (=Name des übergeordneten
//          Verzeichnisses) haben, sie SOLLTEN untergeordnete Einträge haben (macht sonst keinen Sinn);
//          <ICON ZU> und <ICON OFFEN> können leer bleiben, es werden dann Standards benutzt.

// Link-Eintrag:
// menuDaten.neu(new LinkEintrag('<ÜBERGEORDNETER NAME>','<TEXT>','<URL>','<ZIEL>','<ICON>',<STATUSTEXT>'));
// Hinweis: <ZIEL> und <ICON> können leer bleiben, es werden dann die im Bereich 'Benutzerdefinierte
//          Variablen' definierten Standards benutzt. <STATUSTEXT> kann leer bleiben, es wird dann der bei
//          <URL> eingesetzte Wert übernommen.

// Für weitere Informationen sieh in der JS-Menü-Dokumentation nach.
//-->

	menuDaten.neu(new HauptverzeichnisEintrag('root','Semiconductor','overview_main.html','','','Homepage of the Semiconductor - Skript'));
	menuDaten.neu(new LinkEintrag('root','Introduction','kap_1/backbone/r1.html','seiteFrame','','Introduction to Semiconductors'));
	menuDaten.neu(new LinkEintrag('root','Physics','kap_2/backbone/r2.html','seiteFrame','','Semiconductor Physics'));
            menuDaten.neu(new LinkEintrag('root','Si general','kap_3/backbone/r3.html','seiteFrame','','Silicon General'));
            menuDaten.neu(new LinkEintrag('root','Si special','kap_4/backbone/r4.html','seiteFrame','','Silicom Special'));
            menuDaten.neu(new LinkEintrag('root','Basic Optoelectr.','kap_5/backbone/r5.html','seiteFrame','','Fundamentals of Optoelectronics'));
            menuDaten.neu(new LinkEintrag('root','Basic Laser','kap_6/backbone/r6.html','seiteFrame','','Semiconductor Laser Principles'));
            menuDaten.neu(new LinkEintrag('root','LE Devices','kap_7/backbone/r7.html','seiteFrame','','Light Emitting Devices'));
            menuDaten.neu(new LinkEintrag('root','Speed','kap_8/backbone/r8.html','seiteFrame','','High Speed Devices'));
            menuDaten.neu(new LinkEintrag('root','Technology','kap_9/backbone/r9.html','seiteFrame','','Compound Semiconductor Technology'));
            menuDaten.neu(new LinkEintrag('root','Specialities','kap_a/backbone/ra.html','seiteFrame','','Special Semiconductors and Applications'));
            menuDaten.neu(new LinkEintrag('root','Project','check/projekt.html','seiteFrame','text.gif','Project-information '));
            menuDaten.neu(new LinkEintrag('root','Matrix','metamod/i_matrix.html','seiteFrame','text.gif','matrix of contents '));
            menuDaten.neu(new LinkEintrag('root','Index','check/sc_index.html','seiteFrame','text.gif','Index'));
	menuDaten.neu(new LinkEintrag('root','Names','check/sc_name.html','seiteFrame','text.gif','List of Names '));
	menuDaten.neu(new LinkEintrag('root','Abbreviations','check/sc_abk.html','seiteFrame','text.gif','List of Abbreviations '));
		
<!-- Benutzerdefinierte Variablen: -->

   hintergrundStil = 0;                     // 0 bei Verwendung eines hellen Hintergrunds, 1 bei Verwendung eines dunklen Hintergrunds (bestimmt, ob dunkle oder helle Icons verwendet werden)
  hintergrundFarbe = '#FFFFFF';             // bestimmt die Hintergrundfarbe des Menüs, Farbtabelle siehe Dokumentation
         textFarbe = '#000000';             // bestimmt die Farbe von Text, der nicht mit einem Link hinterlegt ist
         linkFarbe = '#080074';             // bestimmt die Farbe von Text, der mit einem Link hinterlegt ist
        aLinkFarbe = '#FF0000';             // bestimmt die Farbe des gerade aktiven TextLinks (auch "hover-Effekt", allerdings nur IE 4.x und hoeher)
        bLinkFarbe = '#080074';             // bestimmt die Farbe der bereits besuchten TextLinks
 standardZielFrame = 'seiteFrame';          // Name des Frames, in den standardmäßig alle Links geladen werden
   standardBildURL = 'styles/';             // Pfad oder URL, wo sich die von JS-Menü benötigten Icons befinden
  standardLinkBild = 'seite.gif';          // Name des standardmäßig benutzten Icons für Links
       MenuSchrift = 'Arial,MS Sans Serif,Helvetica';  // die für das Menü benutzte Schriftart(en)
MenuSchriftGroesse = '3';                   // die Schriftgröße - nicht zu groß (1 oder 2)!

<!-- Zusätzlicher HTML-Code: -->

	prefixHTML ='<HR>';
	suffixHTML ='<HR><A HREF="running_term/index.html" TARGET="seiteFrame"><B>  Running Term</B></A>';

}

function indexVonmenu(name) {
	var aktuellerIndex = 1;
	while (aktuellerIndex <= menuDaten.laenge) {
			if (menuDaten[aktuellerIndex].name == name) {
				return aktuellerIndex}
		aktuellerIndex++}
	return -1}

function repl_eng(name,text,url,linkstat){
	var eintragsIndex = indexVonmenu(name);
	if (eintragsIndex != -1){
	menuDaten[eintragsIndex].text = text;
	menuDaten[eintragsIndex].url = url;
	menuDaten[eintragsIndex].linkstat = linkstat;}
}

function set_to_english(neumaleMenu){
	repl_eng('root','Photonic Crystalls','titelseite.html','Homepage Photonic Crystalls');
   repl_eng('&Uuml;bersicht','Overview','aktuelles/main/index_aktuelles.html','Overview');
   repl_eng('allg','General','allgemeine_info/main/index_info.html','General Information');
	repl_eng('Ziel','Aim','allgemeine_info/main/index_info.html#_1','Aim of the Project');
	if (neumaleMenu){
	maleMenu();}
}

function set_to_german(neumaleMenu){
	repl_eng('root','Photonische Kristalle','titelseite.html','Homepage Photonische Kristalle');
   repl_eng('&Uuml;bersicht','&Uuml;bersicht','aktuelles/main/index_aktuelles.html','&Uuml;bersicht');
   repl_eng('allg','Allgemeines','allgemeine_info/main/index_info.html','Allgemeine Information');
	repl_eng('Ziel','Ziel','allgemeine_info/main/index_info.html#_1','Ziele des Projektes');
	if (neumaleMenu){
	maleMenu();}
}

function init_names(seiteFrame,menuFrame,klappFrame){
top.seiteFrame=seiteFrame;
top.menuFrame=menuFrame;
top.klappFrame=klappFrame;
}

function startframe_4(seitehref) {
     ausgabeFrame = top.splitFrame.window.document;
     ausgabeFrame.open('text/html');
	  ausgabeFrame.write('<HTML><HEAD><TITLE></TITLE></HEAD>');
	  ausgabeFrame.write('<FRAMESET COLS="170,*" BORDER="0">');
	  ausgabeFrame.write('<FRAMESET FRAMEBORDER="0" FRAMESPACING="0" BORDER="0" ROWS="*,105">');
     ausgabeFrame.write('<FRAME NAME="menuFrame" MARGINWIDTH="3" MARGINHEIGHT="3" SCROLLING="AUTO" FRAMEBORDER="0" NORESIZE="NORESIZE">');
     ausgabeFrame.write('<FRAME NAME="klappFrame" MARGINWIDTH="3" MARGINHEIGHT="3" SCROLLING="NO"  FRAMEBORDER="0" NORESIZE="NORESIZE"></FRAMESET>');
     ausgabeFrame.write('<FRAME NAME="seiteFrame" MARGINWIDTH="3" MARGINHEIGHT="3" SCROLLING="AUTO" SRC="'+seitehref+'" FRAMEBORDER="0" NORESIZE="NORESIZE">');
     ausgabeFrame.write('</FRAMESET></HTML>');
	  ausgabeFrame.close();
}
	  
function setframe_4(seitehref,headinghref) {
     top.kopfFrame.window.location.href = headinghref;
	  startframe_4(seitehref);
     top.seiteFrame=top.splitFrame.seiteFrame;
     top.menuFrame=top.splitFrame.menuFrame;
     top.klappFrame=top.splitFrame.klappFrame;
	  maleMenu();
	  maleKlappFrame();	  
}

function setframe_2(seitehref,headinghref) {
     top.splitFrame.window.location.href = seitehref;
     top.kopfFrame.window.location.href = headinghref;
	  top.seiteFrame=top.splitFrame;
}

function convNode(n, Myview){ 
var n1; 
if (n == null) return;
if (n.nodeType == 3) { elem = n.parentNode;
var st = Myview.getComputedStyle(elem, null); var val =
st.getPropertyValue('font-family'); if 
(val.toLowerCase() == 'symbol') { var s0 = n.data,
s1 = '', len = s0.length, ch; for (i = 0; i < len;
i++) { ch = s0.charCodeAt(i); if (ch < 256 && 
symboltab[ch] != 0) ch = 
symboltab[ch]; s1 += String.fromCharCode(ch);
} n.data = s1; } } n1 = n.firstChild; while (n1 != 
null) { convNode(n1, Myview); n1 = n1.nextSibling; } 
}

function check_pagestyle() {
     if (top.seiteFrame){
	  Mydocument = top.seiteFrame.document;
	  if (not_IE) convNode(Mydocument,Mydocument.defaultView);
     if (simpleBG || !forscreen) {
	  Mydocument.getElementsByTagName("body")[0].style.background = 'url("")';
          Mydocument.getElementsByTagName("body")[0].style.backgroundColor = '#ffffff'};
	  for(var i = 0; i < Mydocument.getElementsByTagName("table").length; i++) {
     mytab = Mydocument.getElementsByTagName("table")[i];
	  myname = mytab.className;
	  if (myname.substr(0,3) == "W__"){
	  mytab.width = myname.substr(3,myname.length-3);
}
}
}
}

function check_headpagestyle() {
     if (simpleBG) {
	  top.kopfFrame.document.getElementsByTagName("body")[0].style.background = 'url("")'};
}

function set_simpleBG(Mywert) {
     simpleBG = Mywert;
	  if (simpleBG) {
            hintergrundBild = 'url("")';
				top.kopfFrame.document.getElementsByTagName("body")[0].style.background = hintergrundBild;  
				top.menuFrame.document.getElementsByTagName("body")[0].background = hintergrundBild;  
				top.klappFrame.document.getElementsByTagName("body")[0].background = hintergrundBild;  
				top.seiteFrame.document.getElementsByTagName("body")[0].style.background = hintergrundBild;
				top.seiteFrame.document.getElementsByTagName("body")[0].style.backgroundColor = '#ffffff';}  
	  else { hintergrundBild = 'styles/www-bk.gif';
	         top.kopfFrame.document.getElementsByTagName("body")[0].style.background = "url(" + hintergrundBild + ")";
	         maleMenu();
	         top.klappFrame.document.getElementsByTagName("body")[0].background = hintergrundBild;
				top.seiteFrame.window.location.reload();
				};  
}

function set_simpleBG_1(Mywert) {
     simpleBG = Mywert;
	  if (simpleBG) {
            hintergrundBild = 'url("")';
				top.kopfFrame.document.body.style.background = hintergrundBild;
				top.menuFrame.document.body.background = hintergrundBild;  
				top.klappFrame.document.body.background = hintergrundBild;
				top.seiteFrame.document.body.style.background = hintergrundBild;
				top.seiteFrame.document.getElementsByTagName("body")[0].style.backgroundColor = '#ffffff'; }  
	  else { hintergrundBild = 'styles/www-bk.gif';
	         top.kopfFrame.window.location.reload();
	         maleMenu();
	         top.klappFrame.document.body.background = hintergrundBild;
				top.seiteFrame.window.location.reload();
				};  
}

function set_forscreen(Mywert) {
     forscreen = !Mywert;
	  top.seiteFrame.window.location.reload();
}

var mainname = "semi_en";

function save_cookie() {
var datum = new Date();
datum.setTime(datum.getTime()+60*24*60*60*1000);
mywert =mainname+"main=";
if (simpleBG) {mywert=mywert+"1"} else {mywert=mywert+"0"};
if (forscreen) {mywert=mywert+"1"} else {mywert=mywert+"0"};
mywert =mywert+";expires="+datum.toGMTString();
top.document.cookie=(mywert);
}

function cookie_ausgabe(name) {
var daten = top.document.cookie;
var Mytext = '';
for (i=0; i < (daten.length-name.length); i++) {
 if (daten.substring(i,i+name.length) == name) {
   var ende = daten.indexOf(";",i+name.length);
	if (ende == -1) {ende = daten.length}
	Mytext = daten.substring(i+name.length, ende);
	} 
 }  
return Mytext;
}

function load_cookie() {
mywert = cookie_ausgabe(mainname+"main=");
if (mywert != '') {
simpleBG = (mywert.substring(0,1)=='1');
forscreen = (mywert.substring(1,2)=='1')};
if (cookie_ausgabe("long_ago=") != '') {
 dont_popup = true};
return cookie_ausgabe("UXLL=");
}

function start() {
	ladeDaten();
	if (top.splitFrame.menuFrame != null){
	top.menuFrame =top.splitFrame.menuFrame;
	top.klappFrame=top.splitFrame.klappFrame;	
	top.seiteFrame=top.splitFrame.seiteFrame;	
	not_IE = (navigator.appName != 'Microsoft Internet Explorer');
	mywert = load_cookie();
	if (simpleBG) {set_simpleBG(simpleBG)};
	if (mywert!='') {
	  top.seiteFrame.window.location.href=mywert;
	  top.document.cookie="UXLL=;path=/"}
	  else {if (!forscreen) {top.seiteFrame.window.location.reload()}};
   maleMenu();
   maleKlappFrame()};
// no popup for Bachelor!!!!
   dont_popup = true;
   if (!dont_popup) {
     ndwin = open("matwiss_info.html","_blank","width=300,height=220,status=no,menubar=no,resizable=no,scrollbars=no");
     ndwin.moveTo(0,0);
     var datum = new Date();
    // datum.setTime(datum.getTime()+120*1000);
    datum.setTime(datum.getTime()+10*24*60*60*1000);
    mywert ="long_ago=X";
    mywert =mywert+";expires="+datum.toGMTString();
    top.document.cookie=(mywert);
	 dont_popup = true;}
}

function start_en() {
	ladeDaten();
	if (top.splitFrame.menuFrame != null){
	top.menuFrame =top.splitFrame.menuFrame;
	top.klappFrame=top.splitFrame.klappFrame;	
	top.seiteFrame=top.splitFrame.seiteFrame;			
	maleMenu();
	maleKlappFrame()};
	set_to_english(true,'heading_navi_en.html')
}